commit 666cada986ead8db8687f848a0db90d192b9b72e
Author: Tomáš Ballák <balllak.tomas@gmail.com>
Date:   Sun Mar 29 23:27:36 2020 +0200

    finall setup for development

diff --git a/build.sh b/build.sh
index c217b10..abc8f6a 100755
--- a/build.sh
+++ b/build.sh
@@ -10,4 +10,4 @@ cat << "EOF"
  \ \_____\ \_____\ \_\ \ \_\ \_\  \ \_____\/\_____\ \_____\ \_\ \_\    \ \_\ \_\\"\_\/\_____\ \ \_\\ \_\ \_\ \_____\ \_____\ 
   \/_____/\/_____/\/_/  \/_/\/_/   \/_____/\/_____/\/_____/\/_/ /_/     \/_/\/_/ \/_/\/_____/  \/_/ \/_/\/_/\/_____/\/_____/                                                                                                                                                                                                                                                                                                                                                                                                                                      
 EOF
-docker exec -it heatmap_php_fpm /bin/sh -c "cd /var/www && composer install"
+docker run --rm --interactive --tty --volume $PWD/website:/app composer install
diff --git a/build/nginx/Dockerfile b/build/nginx/Dockerfile
index b819a80..1f8d147 100644
--- a/build/nginx/Dockerfile
+++ b/build/nginx/Dockerfile
@@ -1,3 +1,6 @@
 FROM nginx:alpine
+COPY nginx.conf /etc/nginx
+COPY conf.d /etc/nginx/conf.d
+ADD ./sites /etc/nginx/sites-available
 WORKDIR /var/www/
 CMD ["nginx"]
diff --git a/build/nginx/sites/default.conf b/build/nginx/sites/default.conf
index 338ddb0..9b09e80 100644
--- a/build/nginx/sites/default.conf
+++ b/build/nginx/sites/default.conf
@@ -3,7 +3,7 @@ server {
     listen [::]:80 default_server ipv6only=on;
 
     server_name localhost;
-    root /var/www/public;
+    root /var/www/symfony/public;
     index index.php index.html index.htm;
 
     location / {
@@ -24,4 +24,4 @@ server {
     location ~ /\.ht {
         deny all;
     }
-}
\ No newline at end of file
+}
diff --git a/build/php-fm/Dockerfile b/build/php-fm/Dockerfile
index d03bd31..ab230d5 100644
--- a/build/php-fm/Dockerfile
+++ b/build/php-fm/Dockerfile
@@ -6,4 +6,3 @@ RUN apk update; \
 	pecl install mongodb && \
 	docker-php-ext-enable mongodb; \
 	apk del --purge autoconf openssl-dev g++ make;
-RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
\ No newline at end of file
diff --git a/docker-compose.yml b/docker-compose.yml
index 1064517..b1fd0c3 100644
--- a/docker-compose.yml
+++ b/docker-compose.yml
@@ -9,7 +9,7 @@ services:
                ports: 
                        - "9000:9000"
                volumes:
-                       - ./website/:/var/www/
+                       - ./website/:/var/www/symfony
                container_name: "heatmap_php_fpm"
        nginx:
                build: './build/nginx'
@@ -20,13 +20,10 @@ services:
                        - frontend
                        - backend
                ports:
-                       - "127.0.0.1:80:80"
+                       - "80:80"
                volumes:
-                       - ./website/:/var/www/
-                       - ./build/nginx/nginx.conf:/etc/nginx/nginx.conf
-                       - ./build/nginx/sites/:/etc/nginx/sites-available
-                       - ./build/nginx/conf.d/:/etc/nginx/conf.d
-                       - ./logs:/var/log
+                       - ./logs:/var/nginx/log
+                       - ./website/:/var/www/symfony
                container_name: "heatmap_nginx"
        database:
                image: 'mongo'
diff --git a/install.sh b/install.sh
index e0a2180..b18947b 100755
--- a/install.sh
+++ b/install.sh
@@ -7,4 +7,4 @@ cat << "EOF"
  \ \_____\ \_____\ \_\ \ \_\ \_\  \ \_____\/\_____\ \_____\ \_\ \_\    \ \_\ \_\\"\_\/\_____\ \ \_\\ \_\ \_\ \_____\ \_____\ 
   \/_____/\/_____/\/_/  \/_/\/_/   \/_____/\/_____/\/_____/\/_/ /_/     \/_/\/_/ \/_/\/_____/  \/_/ \/_/\/_/\/_____/\/_____/                                                                                                                                                                                                                                                                                                                                                                                                                                      
 EOF
-docker exec -it heatmap_php_fpm /bin/sh -c "cd /var/www && composer install"
+docker run --rm --interactive --tty --volume $PWD/website:/app composer install