commit 84bf84e22ca0173df379fdb7ace581a398400e4d
Author: petrh <petrh@zcu.cz>
Date:   Sat May 16 21:09:13 2020 +0200

    Upraveny souradnice zarizeni

diff --git a/modules/crawler/DatasetConfigs/JIS.yaml b/modules/crawler/DatasetConfigs/JIS.yaml
index f0ea25c..813e17f 100644
--- a/modules/crawler/DatasetConfigs/JIS.yaml
+++ b/modules/crawler/DatasetConfigs/JIS.yaml
@@ -11,20 +11,20 @@ update-period: 24
 # pozice jednotlivych zarizeni, ktera jsou v datasetu
 devices:
   - L1L2-vchod:
-      x: 49.7598953
-      y: 13.3725317
+      x: 49.76000
+      y: 13.37257
 
   - M16:
-      x: 49.7255161
-      y: 13.3683308
+      x: 49.72525
+      y: 13.36888
 
   - Zavora-NTIS-vyjezd:
       x: 49.7262219
       y: 13.3528561
 
   - EXT/kola:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - Menza4-kasa1:
       x: 49.7237989
@@ -39,16 +39,16 @@ devices:
       y: 13.3750531
 
   - KolaBory-vnitrni:
-      x: 49.7245142
-      y: 13.3508336
+      x: 49.7269886
+      y: 13.3514081
 
   - Menza1-kasa-l:
       x: 49.7474797
       y: 13.3688214
 
   - Zavora-Kaplirova:
-      x: 49.723023
-      y: 13.359301
+      x: 49.7233544
+      y: 13.3515511
 
   - STUD_ST407:
       x: 49.7480758
@@ -67,8 +67,8 @@ devices:
       y: 13.3751494
 
   - L2:
-      x: 49.7607506
-      y: 13.3728806
+      x: 49.76008
+      y: 13.37274
 
   - STUD_PRA1:
       x: 49.7477175
@@ -87,8 +87,8 @@ devices:
       y: 13.3707764
 
   - L-Posilovna:
-      x: 49.7606875
-      y: 13.3730733
+      x: 49.75971
+      y: 13.37339
 
   - Menza4-kasa2:
       x: 49.7237694
@@ -115,8 +115,8 @@ devices:
       y: 13.3706314
 
   - Zavora-FDU:
-      x: 49.7255936
-      y: 13.3490714
+      x: 49.7231686
+      y: 13.3474192
 
   - US 005 - mříž vjezd:
       x: 49.7262375
@@ -131,8 +131,8 @@ devices:
       y: 13.3586728
 
   - STUD_UB211:
-      x: 49.7255503
-      y: 13.3532719
+      x: 49.7251661
+      y: 13.3530436
 
   - KL-Posilovna:
       x: 49.7368708
@@ -143,16 +143,16 @@ devices:
       y: 13.3499356
 
   - EXT/kola-B:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - MenzaKL-vydej:
       x: 49.7474328
       y: 13.3688347
 
   - UV1-Bufet:
-      x: 49.7249311
-      y: 13.3505217
+      x: 49.72498
+      y: 13.35047
 
   - STUD_VC53:
       x: 49.7492183
@@ -163,8 +163,8 @@ devices:
       y: 13.3589731
 
   - Parkoviste-vjezd:
-      x: 49.7231850
-      y: 13.3517164
+      x: 49.7231925
+      y: 13.3517214
 
   - US 005 - závora vjezd:
       x: 49.7262567
@@ -175,12 +175,12 @@ devices:
       y: 13.3523261
 
   - L1:
-      x: 49.7600028
-      y: 13.3727558
+      x: 49.75987
+      y: 13.37270
 
   - STUD_UB113:
-      x: 49.7254619
-      y: 13.3753786
+      x: 49.7253256
+      y: 13.3531456
 
   - Menza1-kasa-p:
       x: 49.7473178
@@ -191,5 +191,6 @@ devices:
       y: 13.3504325
 
   - Parkoviste-vyjezd:
-      x: 49.7231553
-      y: 13.3518264
\ No newline at end of file
+      x: 49.7231533
+      y: 13.3518328
+      
\ No newline at end of file
diff --git a/modules/crawler/DatasetConfigs/KOLOBEZKY.yaml b/modules/crawler/DatasetConfigs/KOLOBEZKY.yaml
index 03f4c46..234ae29 100644
--- a/modules/crawler/DatasetConfigs/KOLOBEZKY.yaml
+++ b/modules/crawler/DatasetConfigs/KOLOBEZKY.yaml
@@ -33,3 +33,4 @@ devices:
   - stojan-borska:
       x: 49.734518
       y: 13.359475
+      
\ No newline at end of file
diff --git a/modules/crawler/DatasetConfigs/WIFI.yaml b/modules/crawler/DatasetConfigs/WIFI.yaml
index 7fb94d9..ba2f994 100644
--- a/modules/crawler/DatasetConfigs/WIFI.yaml
+++ b/modules/crawler/DatasetConfigs/WIFI.yaml
@@ -1,5 +1,5 @@
 # jmeno datasetu, pod kterym bude zobrazen v aplikaci
-display-name: Wi-Fi síť ZČU
+display-name: Počítačová síť ZČU
 # jednoslovný název datasetu, pod kterym bude reprezentovana v architektuře
 dataset-name: WIFI
 # root slozka, ktera obsahuje odkazy na dataset
@@ -87,8 +87,8 @@ devices:
       y: 13.3582997
 
   - bk-cat3750-sw.zcu.cz:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - cd-cat4500-sw.zcu.cz:
       x: 50.076237
@@ -183,24 +183,24 @@ devices:
       y: 13.3703403
 
   - ic-2504-wlc:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - ic-4404-wlc:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - ic-5508-wlc:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - ic-5520-wlc:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - ic-n1-nx5548-sw.zcu.cz:
-      x: 49.7250492
-      y: 13.3528547
+      x: SKIP
+      y: SKIP
 
   - ic-n2-nx5548-sw.zcu.cz:
       x: 49.7250492
@@ -351,16 +351,16 @@ devices:
       y: 13.37281
 
   - lk-s1-cat2960-sw.zcu.cz:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - lk-s2-cat2960-sw.zcu.cz:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - lk-s3-cat2960-sw.zcu.cz:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - ls-s1-cat4510-sw.zcu.cz:
       x: 49.7252217
@@ -375,8 +375,8 @@ devices:
       y: 13.3483378
 
   - ls-z-cat2960c-sw.zcu.cz:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - mk-b36-cat3560-sw.zcu.cz:
       x: 49.7245529
@@ -427,32 +427,32 @@ devices:
       y: 13.3706943
 
   - mk-cat4900-sw.zcu.cz:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - mk-k-cat2960-sw.zcu.cz:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - mk-k-s1-sw.mk.zcu.cz:
-      x: 49.72500888888889
-      y: 13.363761944444445
+      x: 49.7250088
+      y: 13.3637619
 
   - mk-k-s2-sw.mk.zcu.cz:
-      x: 49.72500888888889
-      y: 13.363761944444445
+      x: 49.7250088
+      y: 13.3637619
 
   - mk-k-s3-sw.mk.zcu.cz:
-      x: 49.72500888888889
-      y: 13.363761944444445
+      x: 49.7250088
+      y: 13.3637619
 
   - mk-k-s4-sw.mk.zcu.cz:
-      x: 49.72500888888889
-      y: 13.363761944444445
+      x: 49.7250088
+      y: 13.3637619
 
   - mk-k-s5-cat2960-sw.mk.zcu.cz:
-      x: 49.72500888888889
-      y: 13.363761944444445
+      x: 49.7250088
+      y: 13.3637619
 
   - mk-m14-cat2960-sw.mk.zcu.cz:
       x: 49.72549
@@ -475,28 +475,28 @@ devices:
       y: 13.36841
 
   - mk-m16-cat3560-sw.mk.zcu.cz:
-      x: 49.723023
-      y: 13.359301
+      x: SKIP
+      y: SKIP
 
   - mk-m16-s1-sw.mk.zcu.cz:
       x: 49.72523
-      y: 13.368923055555555
+      y: 13.3689230
 
   - mk-m16-s2-sw.mk.zcu.cz:
       x: 49.72523
-      y: 13.368923055555555
+      y: 13.3689230
 
   - mk-m16-s3-sw.mk.zcu.cz:
       x: 49.72523
-      y: 13.368923055555555
+      y: 13.3689230
 
   - mk-m16-s4-sw.mk.zcu.cz:
       x: 49.72523
-      y: 13.368923055555555
+      y: 13.3689230
 
   - mk-m16-s5-sw.mk.zcu.cz:
       x: 49.72523
-      y: 13.368923055555555
+      y: 13.3689230
 
   - mk-m20-s1-sw.mk.zcu.cz:
       x: 49.7249083
@@ -845,3 +845,4 @@ devices:
   - vc-s3-idf-cat2960-sw.zcu.cz:
       x: 49.7493611
       y: 13.3754114
+      
\ No newline at end of file