commit 90d3db28a7764f87836d6a493c2d013005272f50
Author: Tomáš Ballák <balllak.tomas@gmail.com>
Date:   Wed May 20 21:11:26 2020 +0200

    fix of popup,js path, button alignment

diff --git a/website/public/css/style.css b/website/public/css/style.css
index d3cfe51..9063581 100644
--- a/website/public/css/style.css
+++ b/website/public/css/style.css
@@ -49,7 +49,6 @@ header .btn-secondary{
     outline: none;
     border-radius: 50px;
     height: 40px;
-    margin-top: -2px;
     color: #0048a9;
     background: rgba(255,255,255,1);
     -webkit-box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.17);
@@ -60,10 +59,19 @@ header .btn-secondary{
     font-size: 11pt;
     padding-left: 20px;
     padding-right: 20px;
+    padding-top: 3px;
+    transition: all 0.2s ease-out;
 }
 header .btn-secondary:hover{
     background: rgba(255,255,255,1) !important;
     color: #0048a9;
+    -webkit-box-shadow: 0px 0px 30px 0px rgba(0,0,0,0.22);
+    -moz-box-shadow: 0px 0px 30px 0px rgba(0,0,0,0.22);
+    box-shadow: 0px 0px 30px 0px rgba(0,0,0,0.22);    
+}
+header .btn-secondary:active, header .btn-secondary:focus{
+    background: rgba(240,240,240,1) !important;
+    color: #0048a9 !important;
 }
 .nav-item input:focus{
     color: black;
@@ -79,6 +87,17 @@ header .btn-secondary:hover{
     background: #0048a9;
     color: white;
 }
+.nav-item select:hover option {
+    background: #0048a9;
+}
 .nav-item select:hover {
     cursor: pointer;
+}
+@media(max-width:991.98px){
+    header .btn-secondary{
+        border-radius: 5px;
+        margin-left: 0px;
+        margin-top: 10px;
+        margin-bottom: -10px;
+    }
 }
\ No newline at end of file
diff --git a/website/public/js/zcu-heatmap.js b/website/public/js/zcu-heatmap.js
index f7bbdd0..24ac7df 100644
--- a/website/public/js/zcu-heatmap.js
+++ b/website/public/js/zcu-heatmap.js
@@ -33,7 +33,8 @@ const genPopUpControls = (controls) => {
 const genPopUp = (place, number, sum, currentPos, maxPos) => {
   const header = `<strong>Zařízení a počet:</strong><div id="place-info">${place}</div>`
   const currentNum = `<span id="digit-info">${number}</span>`
-  const sumNum = `<span id="total-info" style="font-size: large">${sum ? '/' + sum : ''}</span>`
+  // eslint-disable-next-line eqeqeq
+  const sumNum = `<span id="total-info" style="font-size: large">${(sum && (sum != number)) ? '/' + sum : ''}</span>`
   const digitInfo = `<div id="number-info">${currentNum}${sumNum}</div>`
   let previousButton = '<button id="previous-info-btn" class="circle-button" onclick="previousInfo()"></button>'
   let nextButton = '<button id="next-info-btn" onclick="nextInfo()" class="circle-button next"></button>'
@@ -52,10 +53,9 @@ const genPopUp = (place, number, sum, currentPos, maxPos) => {
 }
 // eslint-disable-next-line no-unused-vars
 function initMap () {
-
-  startX = localStorage.getItem('lat') || startX;
-  startY = localStorage.getItem('lng') || startY;
-  startZoom = localStorage.getItem('zoom') || startZoom;
+  startX = localStorage.getItem('lat') || startX
+  startY = localStorage.getItem('lng') || startY
+  startZoom = localStorage.getItem('zoom') || startZoom
 
   mymap = L.map('heatmap').setView([startX, startY], startZoom)
 
@@ -131,9 +131,9 @@ function displayInfoText () {
 
 // eslint-disable-next-line no-unused-vars
 function setMapView (latitude, longitude, zoom) {
-  localStorage.setItem('lat', latitude);
-  localStorage.setItem('lng', longitude);
-  localStorage.setItem('zoom', zoom);
+  localStorage.setItem('lat', latitude)
+  localStorage.setItem('lng', longitude)
+  localStorage.setItem('zoom', zoom)
   mymap.setView([latitude, longitude], zoom)
 }
 
diff --git a/website/templates/index.html.twig b/website/templates/index.html.twig
index f18b63d..5f5bc55 100644
--- a/website/templates/index.html.twig
+++ b/website/templates/index.html.twig
@@ -147,7 +147,7 @@
 {% endblock %}
 {% block javascripts %}
 
-  <script src="{{ asset('js/swiper.min.js') }}"></script>
+  <script src="{{ asset('js/vendor/swiper.min.js') }}"></script>
   <script>
     const swiper = new Swiper('.swiper-container', {
       calculateHeight: true,
@@ -166,7 +166,7 @@
       }
     });
   </script>
-  <script src="{{ asset('js/jquery-3.4.1.min.js') }}"></script>
-  <script src="{{ asset('js/bootstrap.min.js') }}"></script>
+  <script src="{{ asset('js/vendor/jquery-3.4.1.min.js') }}"></script>
+  <script src="{{ asset('js/vendor/bootstrap.min.js') }}"></script>
 
 {% endblock %}
\ No newline at end of file