commit ab32aaafc533b93325e5fffc1f00db06cc61c94e
Author: Tomáš Ballák <balllak.tomas@gmail.com>
Date:   Fri May 1 18:27:42 2020 +0200

    readme update + hotfix php linter

diff --git a/README.md b/README.md
index 3aaa395..1e984c5 100644
--- a/README.md
+++ b/README.md
@@ -5,39 +5,51 @@
 - [**MongoDB**](https://www.mongodb.com/) - Database
 
 ## 🔩 Development env
+### SW needed for development
+* **[🐳 docker](https://docs.docker.com/engine/install)**
+* **[🐳 docker-compose](https://docs.docker.com/compose/install/)**
+* **[📝 Visual Studio Code](https://code.visualstudio.com/Download)**
+### Development setup
+* First you need to **build** and **run** all needed containers
+  * run either of these scripts inside the **root of the project**:
+    * Linux: `./scripts/dev/build.sh`
+    * Windows: `scripts/dev/build.bat`
+  * check if all containers are running by `docker ps -a`
+  * now if you open **[localhost](https://localhost:80)** you should see working website
+* Install needed extensions inside vscode
+  * open the project folder with vscode
+  * if you are prompt to install recommended extensions in the right bottom corner click on it (wait for installation to complete)
+  * if **there is no popup for installation** do this: click <img src="./doc/images/extension.png" height="40px" width="40px"/>, <img src="./doc/images/more.png" height="40px" width="40px"/> and choose `Show Recommended extensions` and install extension which is in section **WORKSPACE RECOMMENDATIONS** (`ms-vscode-remote.remote-containers`)
+  * You may be asked to **reload vscode** (blue label inside extension with text)
+### Symfony (`./website`)
+* To make changes inside symfony module click on file `symfony.code-workspace` which is in `website` folder
+* Click on <kbd>Open Workspace</kbd> at the bottom of the screen, wait
+* Click on <kbd>Reopen in Container</kbd>
+* Now you are inside the **docker container**. You should see something like this in the bottom left corner
+</br>
+</br>
+<img src="./doc/images/dev-container.png">
+* To **close attach or reopen project in container** use these arrows
+* Now **install recommended extension.**
+* If you need to run `compose` commands simply open vscode terminal and run your commands there.
+* If you want to format all your code inside `src` <kbd>F1 >> Tasks: Run Task >> Format</kbd>
+* Your code should be formated while you are writing 
+* Everything is set 🏆🎉
+### Crawler (`./modules/crawler`)
+To make changes inside crawler module click on file `python.code-workspace` which is in `./modules/crawler` folder
+* Click on <kbd>Open Workspace</kbd> at the bottom of the screen, wait
+* Click on <kbd>Reopen in Container</kbd>
+* Now you are inside the **docker container**. You should see something like this in the bottom left corner
+</br>
+</br>
+<img src="./doc/images/dev-container.png">
+* To **close attach or reopen project in container** use these arrows
+* Now **install recommended extension.**
+* If you need to run `pip` or `python` commands simply open vscode terminal and run your commands there.
+* Everything is set 🏆🎉
 
-* Install **latest php**,  **[🐳 docker](https://www.docker.com/)**, **[📝 vscode](https://code.visualstudio.com/)** and **[🐍PyCharm](https://www.jetbrains.com/pycharm/)**
-* Then run `./scripts/dev/build.sh` or `scripts/dev/build.bat` in the root of the project
-* When you run `docker ps` you should see these containers: **heatmap_nginx**, **heatmap_php-fpm** and **heatmap_mongodb**
-* Symfony project should be available on http://localhost:80
-* ❗IMPORTANT❗make sure you are developing in vscode workspace for symfony
-  * To get into workspace click on `symfony.code-workspace` and on bottom right <kbd>Open Workspace</kbd> 
-### PHP Composer
-* For composer commands `./scripts/composer.sh` and provide args
-  * install `./scripts/composer.sh install`
-  * require `./scripts/composer.sh require package_name`
-### PHP Linter in vscode
-* If you want check your code style is in the right format press <kbd>F1</kbd> choose `Tasks: Run Task` and `PHP Linter`
-* If you want to format the current file just press <kbd>F1</kbd> choose 
-`Tasks: Run Task` and `Format`
-### PyCharm
-* First you need to set python interpeter to the containers by **following these steps**
-<div style="display: flex; flex-direction: row; justify-content: space-around;flex-wrap: wrap">
-  <div style="height: 450px; display: flex; justify-content: space-between;flex-direction: column;">
-  <img src="./doc/images/1.png" width="500px" style="display: block"/>
-  <p style="background: red">A. Enter Settings (File/Preferences/Settings)</p>
-  </div>
-  <div style="height: 450px; display: flex; justify-content: space-between; flex-direction: column;">
-  <img src="./doc/images/2.png" width="500px" height="360px" style="display: block"/>
-  <p style="background: red">B. In the left panel choose <b>Docker</b> and in <b>Image Name</b> choose <b>heatmap_py-charm</b></p>
-  </div>
-  <div style="height: 450px; display: flex; justify-content: space-between;flex-direction: column;">
-  <img src="./doc/images/3.png" width="500px" style="display: block"/>
-  <p style="background: red">C. When setup is ok you will see all packages from requirements on this screen</b></p>
-  </div>
-</div>
-
-* New dependencies put in **requirements.txt** and then run build `./scripts/dev/build.sh`
-
+### Debuging
+* Set your breakpoints and hit <kbd>F5</kbd> or goto <kbd>Run >> Start debugging</kbd>
+* Working in both modules
 ## 🚀 Production env
 * To run production env on your local machine execute this `./scripts/build.sh`
\ No newline at end of file
diff --git a/doc/images/dev-container.png b/doc/images/dev-container.png
new file mode 100644
index 0000000..e243bad
Binary files /dev/null and b/doc/images/dev-container.png differ
diff --git a/doc/images/extension.png b/doc/images/extension.png
new file mode 100644
index 0000000..e4bed86
Binary files /dev/null and b/doc/images/extension.png differ
diff --git a/doc/images/more.png b/doc/images/more.png
new file mode 100644
index 0000000..6302168
Binary files /dev/null and b/doc/images/more.png differ
diff --git a/website/symfony.code-workspace b/website/symfony.code-workspace
index 9b2bdce..02e9e93 100644
--- a/website/symfony.code-workspace
+++ b/website/symfony.code-workspace
@@ -34,10 +34,10 @@
 		{
 			"label": "Format (DOCKER SERVICE)",
 			"command": "docker-compose",
-			"args": ["exec", "php-fpm", "/var/www/symfony/vendor/bin/php-cs-fixer", "fix", "/var/www/symfony/src", "--config", "/var/www/symfony/.php_cs", "--stop-on-violation"],
+			"args": ["exec", "php-fpm", "/var/www/symfony/vendor/bin/php-cs-fixer", "fix", "/var/www/symfony/src", "--config", "/var/www/symfony/.php_cs"],
 			"windows":{
 				"command": "docker-compose",
-				"args": ["exec", "php-fpm", "/var/www/symfony/vendor/bin/php-cs-fixer", "fix", "/var/www/symfony/src", "--config", "/var/www/symfony/.php_cs", "--stop-on-violation"],
+				"args": ["exec", "php-fpm", "/var/www/symfony/vendor/bin/php-cs-fixer", "fix", "/var/www/symfony/src", "--config", "/var/www/symfony/.php_cs"],
 			}
 		},{
 			"label": "PHP Linter",
@@ -51,10 +51,10 @@
 		{
 			"label": "Format",
 			"command": "./vendor/bin/php-cs-fixer",
-			"args": ["fix", "/var/www/symfony/src", "--config", "/var/www/symfony/.php_cs", "--stop-on-violation"],
+			"args": ["fix", "/var/www/symfony/src", "--config", "/var/www/symfony/.php_cs"],
 			"windows":{
 				"command": "./vendor/bin/php-cs-fixer",
-				"args": ["fix", "/var/www/symfony/src", "--config", "/var/www/symfony/.php_cs", "--stop-on-violation"],
+				"args": ["fix", "/var/www/symfony/src", "--config", "/var/www/symfony/.php_cs"],
 			}
 		}]
 	},