commit ab468e26eb4efb698501115d0a749bde7b780c8d
Author: Tomáš Ballák <balllak.tomas@gmail.com>
Date:   Thu May 7 15:16:09 2020 +0200

    new gitignore

diff --git a/.gitignore b/.gitignore
index 264aefc..a83875c 100644
--- a/.gitignore
+++ b/.gitignore
@@ -9,4 +9,5 @@ cache
 .idea
 dev-dump
 *.lock
-.vscode-server
\ No newline at end of file
+.vscode-server
+!.gitkeep
\ No newline at end of file
diff --git a/docker-compose-dev.yml b/docker-compose-dev.yml
index 10d1c7a..4a1be62 100644
--- a/docker-compose-dev.yml
+++ b/docker-compose-dev.yml
@@ -8,11 +8,8 @@ services:
        crawler:
                volumes: 
                         - vscode-extensions-crawler:/src/.vscode-server/extensions
-       database:
-               volumes:
-                        - data-db:/data/db
-                        - ./dev-dump:/dev-dump
+        database:
+                - ./dev-dump:/dev-dump
 volumes:
-    data-db:
     vscode-extensions-php:
     vscode-extensions-crawler:
\ No newline at end of file
diff --git a/docker-compose-prod.yml b/docker-compose-prod.yml
index 24d3826..94db678 100644
--- a/docker-compose-prod.yml
+++ b/docker-compose-prod.yml
@@ -1,5 +1,10 @@
 version: "3.2"
-services:
-       database:
-               volumes:
-                        - /database:/data/db
\ No newline at end of file
+services: 
+        crawler:
+                volumes: 
+                        - /crawler_data/:/src/CrawledData/
+                        - /processed_data/:/src/ProcessedData/
+                        - /crawler_logs/:/src/CrawlerLogs/
+        databse:
+                volumes:
+                        - /backup/:/backup/
\ No newline at end of file
diff --git a/docker-compose.yml b/docker-compose.yml
index 85043a8..d3b93b1 100644
--- a/docker-compose.yml
+++ b/docker-compose.yml
@@ -11,7 +11,7 @@ services:
                         - backend
                 volumes:
                         - ./modules/crawler/:/src
-                        - ./logs/crawler:/log/
+                        - ./logs/crawler:/src/CommonRecords/
                 container_name: "heatmap_crawler"
                 environment:
                         - TZ=Europe/Prague
@@ -54,8 +54,7 @@ services:
                        MONGO_INITDB_ROOT_USERNAME: root
                        MONGO_INITDB_ROOT_PASSWORD: root
                volumes:
-                       - data-db:/data/db
-                       - ./dev-dump:/dev-dump
+                       - data-db:/data/db                       
 networks:
        frontend:
        backend:
diff --git a/modules/crawler/.gitignore b/modules/crawler/.gitignore
index d856eb2..d896f05 100644
--- a/modules/crawler/.gitignore
+++ b/modules/crawler/.gitignore
@@ -1,3 +1,9 @@
 *__pycache__*
 *.CSV
-CrawlerLogs/CommonRecords/*
\ No newline at end of file
+CrawlerLogs/CommonRecords/*
+CrawledData/*
+CrawlerLogs/*
+ProcessedData/*
+!.gitkeep
+CrawledData/CommonRecords/*
+!CrawledData/CommonRecords/.gitkeep
\ No newline at end of file
diff --git a/modules/crawler/CrawledData/.gitkeep b/modules/crawler/CrawledData/.gitkeep
new file mode 100644
index 0000000..e69de29
diff --git a/modules/crawler/CrawledData/CommonRecords/.gitkeep b/modules/crawler/CrawledData/CommonRecords/.gitkeep
new file mode 100644
index 0000000..e69de29
diff --git a/modules/crawler/CrawledData/JIS/ignore.txt b/modules/crawler/CrawledData/JIS/ignore.txt
deleted file mode 100644
index 8ea087a..0000000
--- a/modules/crawler/CrawledData/JIS/ignore.txt
+++ /dev/null
@@ -1 +0,0 @@
-ignore.txt
diff --git a/modules/crawler/CrawledData/KOLOBEZKY/ignore.txt b/modules/crawler/CrawledData/KOLOBEZKY/ignore.txt
deleted file mode 100644
index 8ea087a..0000000
--- a/modules/crawler/CrawledData/KOLOBEZKY/ignore.txt
+++ /dev/null
@@ -1 +0,0 @@
-ignore.txt
diff --git a/modules/crawler/CrawledData/WIFI/ignore.txt b/modules/crawler/CrawledData/WIFI/ignore.txt
deleted file mode 100644
index 8ea087a..0000000
--- a/modules/crawler/CrawledData/WIFI/ignore.txt
+++ /dev/null
@@ -1 +0,0 @@
-ignore.txt
diff --git a/modules/crawler/CrawlerLogs/.gitkeep b/modules/crawler/CrawlerLogs/.gitkeep
new file mode 100644
index 0000000..e69de29
diff --git a/modules/crawler/CrawlerLogs/JIS/ignore.txt b/modules/crawler/CrawlerLogs/JIS/ignore.txt
deleted file mode 100644
index e69de29..0000000
diff --git a/modules/crawler/CrawlerLogs/JIS/updated.txt b/modules/crawler/CrawlerLogs/JIS/updated.txt
deleted file mode 100644
index 573541a..0000000
--- a/modules/crawler/CrawlerLogs/JIS/updated.txt
+++ /dev/null
@@ -1 +0,0 @@
-0
diff --git a/modules/crawler/CrawlerLogs/KOLOBEZKY/ignore.txt b/modules/crawler/CrawlerLogs/KOLOBEZKY/ignore.txt
deleted file mode 100644
index e69de29..0000000
diff --git a/modules/crawler/CrawlerLogs/KOLOBEZKY/updated.txt b/modules/crawler/CrawlerLogs/KOLOBEZKY/updated.txt
deleted file mode 100644
index 573541a..0000000
--- a/modules/crawler/CrawlerLogs/KOLOBEZKY/updated.txt
+++ /dev/null
@@ -1 +0,0 @@
-0
diff --git a/modules/crawler/CrawlerLogs/WIFI/ignore.txt b/modules/crawler/CrawlerLogs/WIFI/ignore.txt
deleted file mode 100644
index e69de29..0000000
diff --git a/modules/crawler/CrawlerLogs/WIFI/updated.txt b/modules/crawler/CrawlerLogs/WIFI/updated.txt
deleted file mode 100644
index 573541a..0000000
--- a/modules/crawler/CrawlerLogs/WIFI/updated.txt
+++ /dev/null
@@ -1 +0,0 @@
-0
diff --git a/modules/crawler/ProcessedData/.gitkeep b/modules/crawler/ProcessedData/.gitkeep
new file mode 100644
index 0000000..e69de29
diff --git a/modules/crawler/ProcessedData/JIS/ignore.txt b/modules/crawler/ProcessedData/JIS/ignore.txt
deleted file mode 100644
index 8ea087a..0000000
--- a/modules/crawler/ProcessedData/JIS/ignore.txt
+++ /dev/null
@@ -1 +0,0 @@
-ignore.txt
diff --git a/modules/crawler/ProcessedData/KOLOBEZKY/ignore.txt b/modules/crawler/ProcessedData/KOLOBEZKY/ignore.txt
deleted file mode 100644
index 8ea087a..0000000
--- a/modules/crawler/ProcessedData/KOLOBEZKY/ignore.txt
+++ /dev/null
@@ -1 +0,0 @@
-ignore.txt
diff --git a/modules/crawler/ProcessedData/WIFI/ignore.txt b/modules/crawler/ProcessedData/WIFI/ignore.txt
deleted file mode 100644
index 8ea087a..0000000
--- a/modules/crawler/ProcessedData/WIFI/ignore.txt
+++ /dev/null
@@ -1 +0,0 @@
-ignore.txt