commit ab78c83ad81ed865927ea3048af7f5ccfdfb74dc
Author: Tomáš Ballák <balllak.tomas@gmail.com>
Date:   Sat Apr 4 20:11:11 2020 +0200

    linter done

diff --git a/website/.php_cs b/website/.php_cs
index aa968e9..de662a7 100644
--- a/website/.php_cs
+++ b/website/.php_cs
@@ -2,7 +2,7 @@
 
 return PhpCsFixer\Config::create()
     ->setRules(array(
-        '@PSR2' => true,
+        '@Symfony' => true,
         'array_indentation' => true,
         'array_syntax' => array('syntax' => 'short'),
         'combine_consecutive_unsets' => true,
@@ -14,12 +14,16 @@ return PhpCsFixer\Config::create()
             'align_double_arrow' => false,
             'align_equals' => false,
         ),
+        'blank_line_before_statement' => array('statements' => array(
+            'return',
+        )),
         'braces' => array(
             'allow_single_line_closure' => true,
             'position_after_functions_and_oop_constructs' => 'same'
         ),
+        'cast_spaces' => true,
         'class_definition' => array('singleLine' => true),
-        'concat_space' => array('spacing' => 'one'),
+        'concat_space' => array('spacing' => 'none'),
         'hash_to_slash_comment' => true,
         'no_extra_consecutive_blank_lines' => array(
             'curly_brace_block',
@@ -33,6 +37,52 @@ return PhpCsFixer\Config::create()
             'use',
         ),
         'no_whitespace_before_comma_in_array' => true,
+        'ordered_imports' => array('imports_order' => array(
+            'const',
+            'class',
+            'function'
+        ), 'sort_algorithm' => 'length'),
+        'short_scalar_cast' => true,
+        'simplified_null_return' => true,
+        'single_import_per_statement' => true,
+        'single_line_after_imports' => true,
+        'single_line_comment_style' => true,
+        'standardize_increment' => true,
+        'standardize_not_equals' => true,
+        'space_after_semicolon' => array(
+            'remove_in_empty_for_expressions' => true,
+        ),
+        'switch_case_semicolon_to_colon' => true,
+        'switch_case_space' => true,
+        'ternary_operator_spaces' => true,
+        'ternary_to_null_coalescing' => true,
+        'trim_array_spaces' => true,
+        'unary_operator_spaces' => true,
+        'visibility_required' => true,
+        'whitespace_after_comma_in_array' => true,
+        'align_multiline_comment' => true,
+        'constant_case' => true,
+        'declare_equal_normalize' => true,
+        'elseif' => true,
+        'function_declaration' => true,
+        'function_typehint_space' => true,
+        'global_namespace_import' => array(
+            'import_classes' => true,
+            'import_constants' => true,
+            'import_functions' => true,
+        ),
+        'include' => true,
+        'linebreak_after_opening_tag' => true,
+        'list_syntax' => array('syntax' => 'short'),
+        'lowercase_cast' => true,
+        'lowercase_keywords' => true,
+        'lowercase_static_reference' => true,
+        'magic_constant_casing' => true,
+        'magic_method_casing' => true,
+        'method_argument_space' => array(
+            'on_multiline' => 'ensure_fully_multiline',
+            'keep_multiple_spaces_after_comma' => false,
+        )
     ))
     //->setIndent("\t")
     ->setLineEnding("\n")
diff --git a/website/symfony.code-workspace b/website/symfony.code-workspace
index b031b36..c9ab852 100644
--- a/website/symfony.code-workspace
+++ b/website/symfony.code-workspace
@@ -5,10 +5,12 @@
 		}
 	],
 	"settings": {
-		"php-cs-fixer.onsave": true,
+		"files.autoSave": "afterDelay",
+		"php-cs-fixer.onsave": false,
 		"php-cs-fixer.rules": "@PSR-2",
 		"php-cs-fixer.config": ".php_cs",
-		"php-cs-fixer.executablePath": "${workspaceFolder}/vendor/bin/php-cs-fixer"
+		"php-cs-fixer.executablePath": "${workspaceRoot}/vendor/bin/php-cs-fixer",
+		"php-cs-fixer.executablePathWindows": "${workspaceRoot}\\vendor\\bin\\php-cs-fixer"
 	},
 	"extensions": {
 		"recommendations": [
@@ -18,20 +20,4 @@
 			"junstyle.php-cs-fixer"
 		]
 	},
-	"tasks": {
-		"version": "2.0.0",
-		"tasks": [{
-			"label": "One",
-  			"type": "shell",
-			  "command": "echo ${workspaceFolder}/vendor/bin/php-cs-fixer",
-			  "presentation": {
-				  "echo": true,
-				  "reveal": "always",
-				  "focus": false,
-				  "panel": "shared",
-				  "showReuseMessage": true,
-				  "clear": false
-			  }
-		}]
-    }
 }
\ No newline at end of file